Last Comment Bug 610724 - [One Mozilla Tracking Bug] - Mozilla.com / Mozilla.org unification
: [One Mozilla Tracking Bug] - Mozilla.com / Mozilla.org unification
Status: RESOLVED FIXED
[oneMozilla]
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal
: Future
Assigned To: Nobody; OK to take it and work on it
: www-mozilla-com
Mentors:
: 655373 655385 667537 (view as bug list)
Depends on: 610496 630967 630968 630969 630971 630973 630974 630975 630977 630978 630980 630981 630984 630989 646515 654204 655377 670114 670118 670119 670124 670775 673879 676002 677305 678442 678443 678836 678837 678838 679126 679474 679592 679600 680281 680291 680503 681362 681373 681416 681522 682188 682398 683779 683782 703026 757742
Blocks: 654682 679077 680287
  Show dependency treegraph
 
Reported: 2010-11-09 10:59 PST by David Boswell
Modified: 2012-08-23 00:16 PDT (History)
27 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description David Boswell 2010-11-09 10:59:39 PST
Opening bug to track issues related to making the mozilla.com and mozilla.org code bases work together when the content of both sites is on mozilla.org.  Here is a first pass at issues that need to be considered.

Front-end issues:

* Design (making the pages look like they're part of same site)
* WebTrends (does the current tracking need to be changed?)
* webmaster@ email addresses (do we stop using the @mozilla.com address?)

Back-end issues:

* Localization (do we need to use a common setup?)
* Repositories (do we need to merge the repositories or can they be separate?)
* Load balancing (any issues here?)
* Staging (currently the sites have very different staging setups)

Other issues:

* Updating Bugzilla components
* Any other process changes?

We can file bugs for each of these items and sort out the details there.
Comment 1 David Boswell 2010-11-09 11:04:16 PST
In the list above I forgot one thing in the back-end issues section:

* Redirects
Comment 2 David Boswell 2010-11-19 13:53:23 PST
From discussion with Laura, I realize we also need to add one more item to this list.

* Search (mozilla.com uses Nutch, mozilla.org uses custom Google search)
Comment 3 Alex Buchanan [:abuchanan] 2010-11-19 13:55:52 PST
(In reply to comment #2)
> From discussion with Laura, I realize we also need to add one more item to this
> list.
> 
> * Search (mozilla.com uses Nutch, mozilla.org uses custom Google search)

Also worth noting that the new design doesn't have a search box.
Comment 4 David Boswell 2010-11-19 13:57:48 PST
> Also worth noting that the new design doesn't have a search box.

That's interesting...
Comment 5 John Slater 2010-11-19 14:30:51 PST
(In reply to comment #4)
> > Also worth noting that the new design doesn't have a search box.
> 
> That's interesting...

Would be nice to prepare for the future possibility that it might have one, though.
Comment 6 David Boswell 2011-01-20 12:06:59 PST
FYI for James, this is a mozilla.com project that we want to work on after the Firefox 4 release.  Since it deals with many back-end issues it has the potential to influence your thinking on changes to mozilla.com you are considering now, so I wanted you to be aware of this.  If you have any questions about the background of this bug or what we're wanting to do, let me know and Laura and I are happy to bring you up to speed.
Comment 7 James Long (:jlongster) 2011-01-21 10:03:01 PST
Thanks David, good to know.  I haven't done anything with mozilla.org so I'll have to check it out before I have any questions.  It would be good to have these domains merged & consistent.
Comment 8 David Boswell 2011-01-21 10:05:16 PST
Great.  If you have any questions about mozilla.org, I'm happy to answer them.
Comment 9 David Boswell 2011-01-31 13:00:23 PST
Another item for the list:

* Submit a new sitemap.xml to Google and other search engines as needed (see bug 629778 and bug 629787 for reference)
Comment 10 David Boswell 2011-02-02 12:01:55 PST
For reference, we are moving the open issues mentioned in this bug to a wiki page at

https://wiki.mozilla.org/Mozilla.org/Roadmap_2011/Domain_change

We will then add a bug for each open issue identified there and will set them as a dependency to this bug.
Comment 11 Milos Dinic [:Milos] 2011-03-30 10:00:42 PDT
(In reply to comment #7)
> Thanks David, good to know.  I haven't done anything with mozilla.org so I'll
> have to check it out before I have any questions.  It would be good to have
> these domains merged & consistent.

In the past few months, I've been working on a local copy of mozilla.org, and have made the changes necessary for it to be localizable. Now, the backend is what we currently have on mozilla-europe.org. 

After a quick chat with Pascal, I'm going to try to use mozilla.com includes and img dirs as SVN externals, and try to make current pages work in it. There shouldn't be any problems with that, as .html pages we have on both mozilla-europe and mozilla.com are practically the same.

Now, would porting all pages from mozilla.org onto the very same backend that mozilla.com uses help anyhow in the merge process? If so, it should be done before the All Hands.
Comment 12 James Long (:jlongster) 2011-03-30 10:14:29 PDT
(In reply to comment #11)

> Now, would porting all pages from mozilla.org onto the very same backend that
> mozilla.com uses help anyhow in the merge process? If so, it should be done
> before the All Hands.

Great, thanks for the work! That definitely helps normalize everything. We'll have to deal with conflicting URLs and figure out how to normalize them (what if both sites have an /about page?). But we'll also have to integrate the two codebases so that they can run off a single site, so your work gets us closer to that.
Comment 13 David Boswell 2011-03-30 11:43:18 PDT
Milos has done a lot of great work getting an l10n system staged for mozilla.org and hopefully that does help us move forward with the merge.

As James mentions in comment #12 though, there are a lot of open issues and they are all related.  Dealing with merging the l10n system means dealing with content overlap and staging systems, etc.

To move forward on any one piece of the merge is going to require that we have a plan for the overall process and someone who can review and approve the overall merge work.
Comment 14 Milos Dinic [:Milos] 2011-03-30 23:19:38 PDT
I've copied over the includes folder from mozilla.com into mozilla.org, and am using the style, js and img folders as SVN externals(mozilla.com). Everything works well, no error logs. I needed to change a few lines of code in /includes/ to make it work, though, such as config.inc.php, controller.inc.php for managing per-page includes, prefetch.php(to allow index.html pages on root of the domain) etc.

The basic migration to the mozilla.com system is done. All pages are working properly, except for the style. I'm going to work on styling tonight.

http://hagege.stage.mozilla.com
Comment 15 David Boswell 2011-04-06 07:55:31 PDT
Although this bug is specifically about merging mozilla.com and mozilla.org it is worth noting that this is a first step and we should keep in mind that there is the potential to fold in some or all of a couple other sites.  

For example, the recent news about Mozilla Messaging joining Mozilla Labs highlights that we've also talked about merging the mozillamessaging.com site as well at mozilla.org/thunderbird.
Comment 16 Milos Dinic [:Milos] 2011-05-03 01:55:00 PDT
I did a testing merge, and you can see the results on:

http://hagege.stage.mozilla.com/en-US/                - Mozilla.org
http://hagege.stage.mozilla.com/en-US/firefox/new/     - Mozilla.com

There are some things that need to be fixed, like redirects, but all of that shouldn't take much time.

FWIW, from what I have in backup(hagege branch just before the merge), to the actual site we now have on hagege staging site, there was only 10 minutes work.
Comment 17 John Slater 2011-05-03 08:18:27 PDT
Awesome, thanks Milos. This is great stuff!

This may already have been taken care of, but we should make sure that we don't lose any of the performance optimizations we've made on the site in the last 6-7 months. In particular, we have the www.mozilla.com/en-US/firefox/new/ page loading really fast, which we know helps downloads, and I wouldn't want to lose that.

That was Anthony Ricaud's project, so am copying him here.
Comment 18 James Long (:jlongster) 2011-05-03 08:29:09 PDT
Milos, really awesome work. And John, there's really nothing changed here, it's just that .com is basically inheriting a ton of new URLs which render .org content. Existing pages are exactly the same.
Comment 19 John Slater 2011-05-03 09:57:44 PDT
Awesome, that's what I was hoping you'd say. Thanks!
Comment 20 Milos Dinic [:Milos] 2011-05-03 11:13:48 PDT
Thanks!

As James already said, what I did is just adding a bunch of content pages from mozilla.org, several per-page includes(stored them in separate dir) and new headers and footers, which are also in separate directory. fwiw, mozilla.com works exactly the same - the only thing that changed is the redirect from root of the domain to /ab-CD/firefox/new/.

I just added en-US mozilla.com pages for showcase, and I'm gonna add the rest tonight. So, what are the next steps?
Comment 21 mcbmoz 2011-07-05 09:44:17 PDT
*** Bug 667537 has been marked as a duplicate of this bug. ***
Comment 22 James Long (:jlongster) 2011-07-08 04:51:03 PDT
Can I get CC'ed on bug 630980 ?
Comment 23 James Long (:jlongster) 2011-07-08 05:21:02 PDT
I have implemented a prototype of the merged site: http://etherpad.mozilla.com:9000/mozmerge

I'm now cleaning up these bugs in the context of our plan which we are going forward with:

https://wiki.mozilla.org/Mozilla.com/2011-Rebranding-Project#Phase_3:_Rebrand_Mozilla.com

I'm also filing new bugs that specifically relate to my prototype.
Comment 24 David Boswell 2011-07-08 12:54:52 PDT
(In reply to comment #22)
> Can I get CC'ed on bug 630980 ?

Done.
Comment 25 mcbmoz 2011-08-02 10:20:42 PDT
*** Bug 655373 has been marked as a duplicate of this bug. ***
Comment 26 mcbmoz 2011-08-08 13:13:42 PDT
*** Bug 655385 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.